## ros-galactic-tf2-kdl 0.17.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(tf2_kdl)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Wnon-virtual-dtor -Woverloaded-virtual)
endif()

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(orocos_kdl REQUIRED)
find_package(tf2 REQUIRED)
find_package(tf2_ros REQUIRED)

ament_python_install_package(${PROJECT_NAME}
     PACKAGE_DIR src/${PROJECT_NAME})

install(DIRECTORY include/${PROJECT_NAME}/
    DESTINATION include/${PROJECT_NAME}
)

# TODO(ahcorde): Port python once https://github.com/ros2/orocos_kinematics_dynamics/pull/4 is merged
# install(PROGRAMS scripts/test.py
#     DESTINATION lib/${PROJECT_NAME}
# )

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(rclcpp REQUIRED)
  find_package(tf2_msgs REQUIRED)

  ament_add_gtest(test_kdl test/test_tf2_kdl.cpp)
  target_include_directories(test_kdl PUBLIC
    include
  )
  ament_target_dependencies(test_kdl
    builtin_interfaces
    orocos_kdl
    rclcpp
    tf2
    tf2_ros
    tf2_msgs)
endif()

ament_export_include_directories(include)
ament_export_dependencies(builtin_interfaces geometry_msgs orocos_kdl tf2 tf2_ros)
ament_package()

=== debian/changelog ===
ros-galactic-tf2-kdl (0.17.5-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 02 Dec 2022 08:00:00 -0000

ros-galactic-tf2-kdl (0.17.4-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 30 Jun 2022 07:00:00 -0000

ros-galactic-tf2-kdl (0.17.3-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 28 Apr 2022 07:00:00 -0000

ros-galactic-tf2-kdl (0.17.2-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 10 May 2021 07:00:00 -0000

ros-galactic-tf2-kdl (0.17.1-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-galactic-tf2-kdl (0.17.0-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 19 Mar 2021 07:00:00 -0000

ros-galactic-tf2-kdl (0.16.0-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-tf2-kdl (0.15.1-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-galactic-tf2-kdl (0.15.0-1focal) focal; urgency=high

  * Update maintainers of the ros2/geometry2 fork. (#328 <https://github.com/ros2/geometry2/issues/328>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 02 Nov 2020 08:00:00 -0000

ros-galactic-tf2-kdl (0.14.1-1focal) focal; urgency=high

  * Activate usual compiler warnings and fix errors (#270 <https://github.com/ros2/geometry2/issues/270>)
  * Contributors: Ivan Santiago Paunovic

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 21 Sep 2020 07:00:00 -0000

ros-galactic-tf2-kdl (0.14.0-1focal) focal; urgency=high

  * Split tf2_ros in tf2_ros and tf2_ros_py (#210 <https://github.com/ros2/geometry2/issues/210>)
  * Contributors: Alejandro Hernández Cordero

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Aug 2020 07:00:00 -0000

ros-galactic-tf2-kdl (0.13.4-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-galactic-tf2-kdl (0.13.3-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 26 May 2020 07:00:00 -0000

ros-galactic-tf2-kdl (0.13.2-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 18 May 2020 07:00:00 -0000

ros-galactic-tf2-kdl (0.13.1-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 08 May 2020 07:00:00 -0000

ros-galactic-tf2-kdl (0.13.0-1focal) focal; urgency=high

  * Added doxyfiles and sphinx Makefiles (#257 <https://github.com/ros2/geometry2/issues/257>)
  * installed python tf2_kdl and ported tf2_kdl tests (#206 <https://github.com/ros2/geometry2/issues/206>)
  * Contributors: Alejandro Hernández Cordero

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 30 Apr 2020 07:00:00 -0000

ros-galactic-tf2-kdl (0.12.4-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 19 Nov 2019 08:00:00 -0000

ros-galactic-tf2-kdl (0.12.3-1focal) focal; urgency=high

  * Remove unused setup.py files (#190 <https://github.com/ros2/geometry2/issues/190>)
  * Contributors: Vasilii Artemev

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 18 Nov 2019 08:00:00 -0000

ros-galactic-tf2-kdl (0.12.2-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 18 Nov 2019 08:00:00 -0000

ros-galactic-tf2-kdl (0.12.1-1focal) focal; urgency=high

  * Restore conversion via message traits (#167 <https://github.com/ros2/geometry2/issues/167>)
  * Don't assume quaternions init to all zeros
  * Contributors: Josh Langsfeld, Michael Carroll

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-galactic-tf2-kdl (0.12.0-1focal) focal; urgency=high

  * Adds additional conversions for tf2, KDL, Eigen
  * Use eigen3_cmake_module (#144 <https://github.com/ros2/geometry2/issues/144>)
  * Contributors: Ian McMahon, Shane Loretz

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 26 Sep 2019 07:00:00 -0000

ros-galactic-tf2-kdl (0.11.3-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 24 May 2019 07:00:00 -0000

ros-galactic-tf2-kdl (0.11.2-1focal) focal; urgency=high

  * Port tf2_kdl (#90 <https://github.com/ros2/geometry2/issues/90>)
  * Contributors: Víctor Mayoral Vilches

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 20 May 2019 07:00:00 -0000

ros-galactic-tf2-kdl (0.5.15-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 24 Jan 2017 08:00:00 -0000

ros-galactic-tf2-kdl (0.5.14-1focal) focal; urgency=high

  * Add Python documentation for tf2_kdl
  * Document kdl
  * Contributors: Jackie Kay

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 16 Jan 2017 08:00:00 -0000

ros-galactic-tf2-kdl (0.5.13-1focal) focal; urgency=high

  * converting python test script into unit test
  * Don't export catkin includes
  * Contributors: Jochen Sprickerhof, Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 04 Mar 2016 08:00:00 -0000

ros-galactic-tf2-kdl (0.5.12-1focal) focal; urgency=high

  * Add kdl::Frame to TransformStamped conversion
  * Contributors: Paul Bovbel

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 05 Aug 2015 07:00:00 -0000

ros-galactic-tf2-kdl (0.5.11-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 22 Apr 2015 07:00:00 -0000

ros-galactic-tf2-kdl (0.5.10-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 21 Apr 2015 07:00:00 -0000

ros-galactic-tf2-kdl (0.5.9-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 25 Mar 2015 07:00:00 -0000

ros-galactic-tf2-kdl (0.5.8-1focal) focal; urgency=high

  * remove useless Makefile files
  * fix ODR violations
  * Contributors: Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 17 Mar 2015 07:00:00 -0000



=== debian/control ===
Source: ros-galactic-tf2-kdl
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-cmake-gtest <!nocheck>, ros-galactic-builtin-interfaces, ros-galactic-geometry-msgs, ros-galactic-orocos-kdl, ros-galactic-rclcpp <!nocheck>, ros-galactic-tf2, ros-galactic-tf2-msgs <!nocheck>, ros-galactic-tf2-ros, ros-galactic-ros-workspace
Homepage: http://ros.org/wiki/tf2
Standards-Version: 3.9.2

Package: ros-galactic-tf2-kdl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-builtin-interfaces, ros-galactic-geometry-msgs, ros-galactic-orocos-kdl, ros-galactic-tf2, ros-galactic-tf2-ros, ros-galactic-tf2-ros-py, ros-galactic-ros-workspace
Description: KDL binding for tf2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-tf2-kdl//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
